set_image localhost/{{PROJECT}}:latest

# mount app sources and data:
# - /var/app/rollback/volumes can be rolled back on failed
# upgrades, suitable for application sources and assets.
# - /var/app/volumes is not copied on updates and more suitable
# for volatile data such as logs and databases.
add_volumes /var/app/rollback/volumes/{{PROJECT}}:/vol_app
add_volumes /var/app/volumes/{{PROJECT}}:/vol_data
add_volumes /var/app/volumes/share:/vol_share
add_volumes /run/podman:/run/podman

# Allow LED to be written. This is application specific
# and should be changed depending on your needs.
add_volumes /sys:/sys

# Allow input to containers and see output from containers
# python bufferizes its output by default when stdout is not a terminal,
# so print() statements would only be printed after a sufficient number
# of messages have accumulated. Force immediate output without flush for
# convenient logging
add_args -it

# Add environment variables set by Atmark Techno.
add_armadillo_env
set_network host

# launch app
set_command python3 /vol_app/src/myapp.py
